<?php
// $Id: mail_ru_share.admin.inc,v 1.3 2010/08/24 21:43:14 seaji Exp $

/**
 * @file
 * Settings of mail_ru_auth
 */

function mail_ru_share_admin_settings() {

  $form['mail_ru_share_node_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Node types to share in mail.ru'),
    '#options' => node_get_types('names'),
    '#description' => t('Check node types witch you want to share.'),
    '#default_value' => variable_get('mail_ru_share_node_types', array('page' => 'page')),
  );

  $form['mail_ru_share_display_page'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display share button on full node pages'),
    '#default_value' => variable_get('mail_ru_share_display_page', 1),
  );

  $form['mail_ru_share_display_teaser'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display share button on node teasers'),
    '#default_value' => variable_get('mail_ru_share_display_teaser', 1),
  );

  $form['mail_ru_share_button_style'] = array(
    '#type' => 'select',
    '#title' => t('Style of share button'),
    '#default_value' => variable_get('mail_ru_share_button_style','button_count'),
    '#options' => array(
      'button_count' => t('Button with counts 120х18'),
      'button' => t('Button without counts 90х18'),
      'big' => t('Big button with count on top 90х65'),
      'micro' => t('Micro button text+16x16'),
    ),
    '#description' => t('Button styles <a href="!url">description</a>.', array('!url' => 'http://api.mail.ru/sites/plugins/share/extended/')),
  );

  return system_settings_form($form);

}
